Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc.metadata

# Class GetAttributes

java.lang.Object
org.firebirdsql.jdbc.metadata.GetAttributes

public final class GetAttributes extends Object
Provides the implementation of `DatabaseMetaData.getAttributes(String, String, String, String)`.

Since:
  5
Author:
  Mark Rotteveel

## Method Summary

Modifier and Type
Method
Description
`static GetAttributes`
`create(DbMetadataMediator mediator)`
`ResultSet`
`getAttributes()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getAttributes

public ResultSet getAttributes() throws SQLException

Throws:
  `SQLException`

### create

public static GetAttributes create(DbMetadataMediator mediator)